import{s as se,n as oe,o as pe}from"../chunks/scheduler.412302f6.js";import{S as me,i as re,g as s,s as l,r as b,A as ue,h as o,f as i,c as a,j as le,u as v,x as P,k as ae,y as ge,a as n,v as U,d as M,t as y,w as L}from"../chunks/index.f36f02f5.js";import{C as fe}from"../chunks/CodeBlock.f4a4ce81.js";import{H as G}from"../chunks/Heading.41d80af4.js";function $e(D){let p,E,S,k,m,J,r,Q="Welcome to the 🤗 Optimum-TPU training guide! This section covers how to fine-tune models using Google Cloud TPUs.",Z,u,z,g,N='See <a href="../supported-architectures">Supported Models</a>.',R,f,B,$,W,d,K="Before starting the training process, ensure you have:",j,c,ee='<li>A configured Google Cloud TPU instance (see <a href="./deploy">Deployment Guide</a>)</li> <li>Optimum-TPU installed with PyTorch/XLA support:</li>',A,h,F,T,q,x,te="You can now follow one of our several example scripts to get started:",I,w,ie='<li><p>Gemma Fine-tuning:</p> <ul><li>See our <a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/gemma_tuning.ipynb" rel="nofollow">Gemma fine-tuning notebook</a> for a step-by-step guide</li></ul></li> <li><p>LLaMA Fine-tuning:</p> <ul><li>Check our <a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/llama_tuning.ipynb" rel="nofollow">LLaMA fine-tuning notebook</a> for detailed instructions</li></ul></li>',O,_,V,C,ne="We recommend fine-tuning using bf16 on TPU, as those operations are often extremely fast while keeping the training stable and precise enough.",X,H,Y;return m=new G({props:{title:"Training on a Google Cloud TPU instance",local:"training-on-a-google-cloud-tpu-instance",headingTag:"h1"}}),u=new G({props:{title:"Supported Models",local:"supported-models",headingTag:"h2"}}),f=new G({props:{title:"Getting Started",local:"getting-started",headingTag:"h2"}}),$=new G({props:{title:"Prerequisites",local:"prerequisites",headingTag:"h3"}}),h=new fe({props:{code:"cGlwJTIwaW5zdGFsbCUyMG9wdGltdW0tdHB1JTIwLWYlMjBodHRwcyUzQSUyRiUyRnN0b3JhZ2UuZ29vZ2xlYXBpcy5jb20lMkZsaWJ0cHUtcmVsZWFzZXMlMkZpbmRleC5odG1sJTBBZXhwb3J0JTIwUEpSVF9ERVZJQ0UlM0RUUFU=",highlighted:`pip install optimum-tpu -f https://storage.googleapis.com/libtpu-releases/index.html
<span class="hljs-built_in">export</span> PJRT_DEVICE=TPU`,wrap:!1}}),T=new G({props:{title:"Example Training Scripts",local:"example-training-scripts",headingTag:"h2"}}),_=new G({props:{title:"Tips",local:"tips",headingTag:"h2"}}),{c(){p=s("meta"),E=l(),S=s("p"),k=l(),b(m.$$.fragment),J=l(),r=s("p"),r.textContent=Q,Z=l(),b(u.$$.fragment),z=l(),g=s("p"),g.innerHTML=N,R=l(),b(f.$$.fragment),B=l(),b($.$$.fragment),W=l(),d=s("p"),d.textContent=K,j=l(),c=s("ol"),c.innerHTML=ee,A=l(),b(h.$$.fragment),F=l(),b(T.$$.fragment),q=l(),x=s("p"),x.textContent=te,I=l(),w=s("ol"),w.innerHTML=ie,O=l(),b(_.$$.fragment),V=l(),C=s("p"),C.textContent=ne,X=l(),H=s("p"),this.h()},l(e){const t=ue("svelte-u9bgzb",document.head);p=o(t,"META",{name:!0,content:!0}),t.forEach(i),E=a(e),S=o(e,"P",{}),le(S).forEach(i),k=a(e),v(m.$$.fragment,e),J=a(e),r=o(e,"P",{"data-svelte-h":!0}),P(r)!=="svelte-zgzj4i"&&(r.textContent=Q),Z=a(e),v(u.$$.fragment,e),z=a(e),g=o(e,"P",{"data-svelte-h":!0}),P(g)!=="svelte-2zze04"&&(g.innerHTML=N),R=a(e),v(f.$$.fragment,e),B=a(e),v($.$$.fragment,e),W=a(e),d=o(e,"P",{"data-svelte-h":!0}),P(d)!=="svelte-jesrlw"&&(d.textContent=K),j=a(e),c=o(e,"OL",{"data-svelte-h":!0}),P(c)!=="svelte-10vix3u"&&(c.innerHTML=ee),A=a(e),v(h.$$.fragment,e),F=a(e),v(T.$$.fragment,e),q=a(e),x=o(e,"P",{"data-svelte-h":!0}),P(x)!=="svelte-l587x9"&&(x.textContent=te),I=a(e),w=o(e,"OL",{"data-svelte-h":!0}),P(w)!=="svelte-1uiyfbg"&&(w.innerHTML=ie),O=a(e),v(_.$$.fragment,e),V=a(e),C=o(e,"P",{"data-svelte-h":!0}),P(C)!=="svelte-1dxr8hl"&&(C.textContent=ne),X=a(e),H=o(e,"P",{}),le(H).forEach(i),this.h()},h(){ae(p,"name","hf:doc:metadata"),ae(p,"content",de)},m(e,t){ge(document.head,p),n(e,E,t),n(e,S,t),n(e,k,t),U(m,e,t),n(e,J,t),n(e,r,t),n(e,Z,t),U(u,e,t),n(e,z,t),n(e,g,t),n(e,R,t),U(f,e,t),n(e,B,t),U($,e,t),n(e,W,t),n(e,d,t),n(e,j,t),n(e,c,t),n(e,A,t),U(h,e,t),n(e,F,t),U(T,e,t),n(e,q,t),n(e,x,t),n(e,I,t),n(e,w,t),n(e,O,t),U(_,e,t),n(e,V,t),n(e,C,t),n(e,X,t),n(e,H,t),Y=!0},p:oe,i(e){Y||(M(m.$$.fragment,e),M(u.$$.fragment,e),M(f.$$.fragment,e),M($.$$.fragment,e),M(h.$$.fragment,e),M(T.$$.fragment,e),M(_.$$.fragment,e),Y=!0)},o(e){y(m.$$.fragment,e),y(u.$$.fragment,e),y(f.$$.fragment,e),y($.$$.fragment,e),y(h.$$.fragment,e),y(T.$$.fragment,e),y(_.$$.fragment,e),Y=!1},d(e){e&&(i(E),i(S),i(k),i(J),i(r),i(Z),i(z),i(g),i(R),i(B),i(W),i(d),i(j),i(c),i(A),i(F),i(q),i(x),i(I),i(w),i(O),i(V),i(C),i(X),i(H)),i(p),L(m,e),L(u,e),L(f,e),L($,e),L(h,e),L(T,e),L(_,e)}}}const de='{"title":"Training on a Google Cloud TPU instance","local":"training-on-a-google-cloud-tpu-instance","sections":[{"title":"Supported Models","local":"supported-models","sections":[],"depth":2},{"title":"Getting Started","local":"getting-started","sections":[{"title":"Prerequisites","local":"prerequisites","sections":[],"depth":3}],"depth":2},{"title":"Example Training Scripts","local":"example-training-scripts","sections":[],"depth":2},{"title":"Tips","local":"tips","sections":[],"depth":2}],"depth":1}';function ce(D){return pe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _e extends me{constructor(p){super(),re(this,p,ce,$e,se,{})}}export{_e as component};
