import{s as ke,n as Be,o as qe}from"../chunks/scheduler.412302f6.js";import{S as ze,i as je,g as a,s as n,r as B,A as Re,h as p,f as l,c as o,j as be,u as q,x as r,k as Le,y as Se,a as i,v as z,d as j,t as R,w as S}from"../chunks/index.f36f02f5.js";import{H as V}from"../chunks/Heading.41d80af4.js";function Ve(ce){let s,A,E,F,m,I,u,fe="Optimum-TPU support and is optimized for v5e and v6e TPUs.",D,c,N,f,he="The TPU naming follows this format: <code>&lt;tpu_version&gt;-&lt;number_of_tpus&gt;</code>",O,h,de="TPU version:",W,d,ve="<li>v5litepod (v5e)</li> <li>v6e</li>",J,v,Te="For example, a v5litepod-8 is a v5e TPU with 8 tpus.",K,T,Q,g,ge="The HBM (High Bandwidth Memory) capacity per chip is 16GB for V5e, V5p and 32GB for V6e. So a v5e-8 (v5litepod-8), has 16GB*8=128GB of HBM memory",X,w,Y,P,we="There are several key metrics to consider when evaluating TPU performance:",Z,$,Pe=`<li>Peak compute per chip (bf16/int8): Measures the maximum theoretical computing power in floating point or integer operations per second. Higher values indicate faster processing capability for machine learning workloads.
HBM (High Bandwidth Memory) metrics:</li> <li>Capacity: Amount of available high-speed memory per chip.</li> <li>Bandwidth: Speed at which data can be read from or written to memory. These affect how much data can be processed and how quickly it can be accessed.</li> <li>Inter-chip interconnect (ICI) bandwidth: Determines how fast TPU chips can communicate with each other, which is crucial for distributed training across multiple chips.
Pod-level metrics:</li> <li>Peak compute per Pod: Total computing power when multiple chips work together. These indicate performance at scale for large training or serving jobs.</li>`,ee,x,$e="The actual performance you achieve will depend on your specific workload characteristics and how well it matches these hardware capabilities.",te,_,le,C,xe="During the TPU VM creation use the following TPU VM base images for optimum-tpu:",ie,M,_e="<li>v2-alpha-tpuv6e (TPU v6e) (recommended)</li> <li>v2-alpha-tpuv5 (TPU v5p) (recommended)</li> <li>v2-alpha-tpuv5-lite (TPU v5e) (recommended)</li> <li>tpu-ubuntu2204-base (default)</li>",ne,U,Ce='For installation instructions, refer to our <a href="../tutorials/tpu_setup">TPU setup tutorial</a>. We recommend you use the <em>alpha</em> version with optimum-tpu, as optimum-tpu is tested and optimized for those.',oe,y,Me='More information at <a href="https://cloud.google.com/tpu/docs/runtimes#pytorch_and_jax" rel="nofollow">https://cloud.google.com/tpu/docs/runtimes#pytorch_and_jax</a>',ae,H,pe,b,Ue=`For more information on the different TPU hardware, you can look at:
<a href="https://cloud.google.com/tpu/docs/v6e" rel="nofollow">https://cloud.google.com/tpu/docs/v6e</a> <a href="https://cloud.google.com/tpu/docs/v5p" rel="nofollow">https://cloud.google.com/tpu/docs/v5p</a> <a href="https://cloud.google.com/tpu/docs/v5e" rel="nofollow">https://cloud.google.com/tpu/docs/v5e</a>`,re,L,ye='Pricing informatin can be found here <a href="https://cloud.google.com/tpu/pricing" rel="nofollow">https://cloud.google.com/tpu/pricing</a>',se,k,He='TPU availability can be found <a href="https://cloud.google.com/tpu/docs/regions-zones" rel="nofollow">https://cloud.google.com/tpu/docs/regions-zones</a>',me,G,ue;return m=new V({props:{title:"TPU hardware support",local:"tpu-hardware-support",headingTag:"h1"}}),c=new V({props:{title:"TPU naming convention",local:"tpu-naming-convention",headingTag:"h2"}}),T=new V({props:{title:"Memory on TPU",local:"memory-on-tpu",headingTag:"h2"}}),w=new V({props:{title:"Performance on TPU",local:"performance-on-tpu",headingTag:"h2"}}),_=new V({props:{title:"Recommended Runtime for TPU",local:"recommended-runtime-for-tpu",headingTag:"h2"}}),H=new V({props:{title:"Next steps",local:"next-steps",headingTag:"h1"}}),{c(){s=a("meta"),A=n(),E=a("p"),F=n(),B(m.$$.fragment),I=n(),u=a("p"),u.textContent=fe,D=n(),B(c.$$.fragment),N=n(),f=a("p"),f.innerHTML=he,O=n(),h=a("p"),h.textContent=de,W=n(),d=a("ul"),d.innerHTML=ve,J=n(),v=a("p"),v.textContent=Te,K=n(),B(T.$$.fragment),Q=n(),g=a("p"),g.textContent=ge,X=n(),B(w.$$.fragment),Y=n(),P=a("p"),P.textContent=we,Z=n(),$=a("ul"),$.innerHTML=Pe,ee=n(),x=a("p"),x.textContent=$e,te=n(),B(_.$$.fragment),le=n(),C=a("p"),C.textContent=xe,ie=n(),M=a("ul"),M.innerHTML=_e,ne=n(),U=a("p"),U.innerHTML=Ce,oe=n(),y=a("p"),y.innerHTML=Me,ae=n(),B(H.$$.fragment),pe=n(),b=a("p"),b.innerHTML=Ue,re=n(),L=a("p"),L.innerHTML=ye,se=n(),k=a("p"),k.innerHTML=He,me=n(),G=a("p"),this.h()},l(e){const t=Re("svelte-u9bgzb",document.head);s=p(t,"META",{name:!0,content:!0}),t.forEach(l),A=o(e),E=p(e,"P",{}),be(E).forEach(l),F=o(e),q(m.$$.fragment,e),I=o(e),u=p(e,"P",{"data-svelte-h":!0}),r(u)!=="svelte-5oal2r"&&(u.textContent=fe),D=o(e),q(c.$$.fragment,e),N=o(e),f=p(e,"P",{"data-svelte-h":!0}),r(f)!=="svelte-1td4lwl"&&(f.innerHTML=he),O=o(e),h=p(e,"P",{"data-svelte-h":!0}),r(h)!=="svelte-1r807hh"&&(h.textContent=de),W=o(e),d=p(e,"UL",{"data-svelte-h":!0}),r(d)!=="svelte-ss328"&&(d.innerHTML=ve),J=o(e),v=p(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-gr5lmp"&&(v.textContent=Te),K=o(e),q(T.$$.fragment,e),Q=o(e),g=p(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1s3mypp"&&(g.textContent=ge),X=o(e),q(w.$$.fragment,e),Y=o(e),P=p(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-1xd2q2x"&&(P.textContent=we),Z=o(e),$=p(e,"UL",{"data-svelte-h":!0}),r($)!=="svelte-11qtryg"&&($.innerHTML=Pe),ee=o(e),x=p(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-17u0boc"&&(x.textContent=$e),te=o(e),q(_.$$.fragment,e),le=o(e),C=p(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-rqjknz"&&(C.textContent=xe),ie=o(e),M=p(e,"UL",{"data-svelte-h":!0}),r(M)!=="svelte-cs58cg"&&(M.innerHTML=_e),ne=o(e),U=p(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-yshpet"&&(U.innerHTML=Ce),oe=o(e),y=p(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-5w0lor"&&(y.innerHTML=Me),ae=o(e),q(H.$$.fragment,e),pe=o(e),b=p(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-6vmfow"&&(b.innerHTML=Ue),re=o(e),L=p(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-149btbf"&&(L.innerHTML=ye),se=o(e),k=p(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-14wq8qu"&&(k.innerHTML=He),me=o(e),G=p(e,"P",{}),be(G).forEach(l),this.h()},h(){Le(s,"name","hf:doc:metadata"),Le(s,"content",Ee)},m(e,t){Se(document.head,s),i(e,A,t),i(e,E,t),i(e,F,t),z(m,e,t),i(e,I,t),i(e,u,t),i(e,D,t),z(c,e,t),i(e,N,t),i(e,f,t),i(e,O,t),i(e,h,t),i(e,W,t),i(e,d,t),i(e,J,t),i(e,v,t),i(e,K,t),z(T,e,t),i(e,Q,t),i(e,g,t),i(e,X,t),z(w,e,t),i(e,Y,t),i(e,P,t),i(e,Z,t),i(e,$,t),i(e,ee,t),i(e,x,t),i(e,te,t),z(_,e,t),i(e,le,t),i(e,C,t),i(e,ie,t),i(e,M,t),i(e,ne,t),i(e,U,t),i(e,oe,t),i(e,y,t),i(e,ae,t),z(H,e,t),i(e,pe,t),i(e,b,t),i(e,re,t),i(e,L,t),i(e,se,t),i(e,k,t),i(e,me,t),i(e,G,t),ue=!0},p:Be,i(e){ue||(j(m.$$.fragment,e),j(c.$$.fragment,e),j(T.$$.fragment,e),j(w.$$.fragment,e),j(_.$$.fragment,e),j(H.$$.fragment,e),ue=!0)},o(e){R(m.$$.fragment,e),R(c.$$.fragment,e),R(T.$$.fragment,e),R(w.$$.fragment,e),R(_.$$.fragment,e),R(H.$$.fragment,e),ue=!1},d(e){e&&(l(A),l(E),l(F),l(I),l(u),l(D),l(N),l(f),l(O),l(h),l(W),l(d),l(J),l(v),l(K),l(Q),l(g),l(X),l(Y),l(P),l(Z),l($),l(ee),l(x),l(te),l(le),l(C),l(ie),l(M),l(ne),l(U),l(oe),l(y),l(ae),l(pe),l(b),l(re),l(L),l(se),l(k),l(me),l(G)),l(s),S(m,e),S(c,e),S(T,e),S(w,e),S(_,e),S(H,e)}}}const Ee='{"title":"TPU hardware support","local":"tpu-hardware-support","sections":[{"title":"TPU naming convention","local":"tpu-naming-convention","sections":[],"depth":2},{"title":"Memory on TPU","local":"memory-on-tpu","sections":[],"depth":2},{"title":"Performance on TPU","local":"performance-on-tpu","sections":[],"depth":2},{"title":"Recommended Runtime for TPU","local":"recommended-runtime-for-tpu","sections":[],"depth":2}],"depth":1}';function Ge(ce){return qe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class De extends ze{constructor(s){super(),je(this,s,Ge,Ve,ke,{})}}export{De as component};
